Bug 13094 - It should be easy to hide the 'Cancel all' button on the holds over report
Summary: It should be easy to hide the 'Cancel all' button on the holds over report
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2014-10-15 21:31 UTC by Ed Veal
Modified: 2019-06-11 15:33 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 13094: Make it easy to hide 'Cancel all' button on holds over report (4.57 KB, patch)
2019-03-11 23:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13094: Make it easy to hide 'Cancel all' button on holds over report (4.58 KB, patch)
2019-05-11 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13094: Make it easy to hide 'Cancel all' button on holds over report (4.62 KB, patch)
2019-05-22 16:36 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 13094: Make it easy to hide 'Cancel all' button on holds over report (4.67 KB, patch)
2019-05-23 08:25 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Veal 2014-10-15 21:31:11 UTC
The text that appears next to the cancel all holds button on the "Hold(s) over" tab does not have an html tag around it. Therefor you can't do any styling of that text. 

Ed
Comment 1 Aleisha Amohia 2017-03-02 23:56:00 UTC
is this still valid?
Comment 2 Katrin Fischer 2019-02-03 20:57:54 UTC
You can already hide the button with:
form[name=cancelAllReserve] { display:none; }

But this leaves the text that and is a syntax not everyone might be familiar with. I suggest to wrap both into a span that will make things easier.
Comment 3 Katrin Fischer 2019-03-11 23:45:50 UTC
Created attachment 86494 [details] [review]
Bug 13094: Make it easy to hide 'Cancel all' button on holds over report

This patch makes some small modifications to the 'Holds awaiting pickup'
report:

- Fixes typo sypref
- Fixes 'Home branch' to 'Home library'
- Adds a span to easily hide the cancel all button with CSS

To test:
- Make sure you have a hold appearing on the awaiting pickup list
  second tab: Holds waiting over...
- Verify the 'cancel all' button on top shows
- Verify syspref and Home library changes mentioned above
- Add #holdsover-cancel-all { display:none; } to IntrentUserCSS
- Verify that the button and the text have vanished

Note: If the text doesn't display next to the button, try toggling
      the TransferWhenCancelAllWaitingHolds system preference.
Comment 4 Katrin Fischer 2019-05-11 21:24:17 UTC
Created attachment 89621 [details] [review]
Bug 13094: Make it easy to hide 'Cancel all' button on holds over report

This patch makes some small modifications to the 'Holds awaiting pickup'
report:

- Fixes typo sypref
- Fixes 'Home branch' to 'Home library'
- Adds a span to easily hide the cancel all button with CSS

To test:
- Make sure you have a hold appearing on the awaiting pickup list
  second tab: Holds waiting over...
- Verify the 'cancel all' button on top shows
- Verify syspref and Home library changes mentioned above
- Add #holdsover-cancel-all { display:none; } to IntrentUserCSS
- Verify that the button and the text have vanished

Note: If the text doesn't display next to the button, try toggling
      the TransferWhenCancelAllWaitingHolds system preference.
Comment 5 Katrin Fischer 2019-05-11 21:24:57 UTC
Rebased!
Comment 6 Liz Rea 2019-05-22 16:36:26 UTC
Created attachment 89969 [details] [review]
Bug 13094: Make it easy to hide 'Cancel all' button on holds over report

This patch makes some small modifications to the 'Holds awaiting pickup'
report:

- Fixes typo sypref
- Fixes 'Home branch' to 'Home library'
- Adds a span to easily hide the cancel all button with CSS

To test:
- Make sure you have a hold appearing on the awaiting pickup list
  second tab: Holds waiting over...
- Verify the 'cancel all' button on top shows
- Verify syspref and Home library changes mentioned above
- Add #holdsover-cancel-all { display:none; } to IntrentUserCSS
- Verify that the button and the text have vanished

Note: If the text doesn't display next to the button, try toggling
      the TransferWhenCancelAllWaitingHolds system preference.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 7 Chris Cormack 2019-05-23 08:25:42 UTC
Created attachment 90008 [details] [review]
Bug 13094: Make it easy to hide 'Cancel all' button on holds over report

This patch makes some small modifications to the 'Holds awaiting pickup'
report:

- Fixes typo sypref
- Fixes 'Home branch' to 'Home library'
- Adds a span to easily hide the cancel all button with CSS

To test:
- Make sure you have a hold appearing on the awaiting pickup list
  second tab: Holds waiting over...
- Verify the 'cancel all' button on top shows
- Verify syspref and Home library changes mentioned above
- Add #holdsover-cancel-all { display:none; } to IntrentUserCSS
- Verify that the button and the text have vanished

Note: If the text doesn't display next to the button, try toggling
      the TransferWhenCancelAllWaitingHolds system preference.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 8 Martin Renvoize 2019-06-11 09:24:05 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-06-11 15:33:37 UTC
Pushed to 19.05.x for 19.05.01